#! /bin/sh

LOCKFILE="/video/vdr.lock"

. /etc/profile

killall -9 vdr mplayer

sleep 1s

if [ -e $LOCKFILE ] ; then 
	echo $(date) " VDR LOCKED: - no vdr startup - $LOCKFILE exists" >> /var/log/messages
	sleep 10s
	exit 0
fi

/bin/sh /lib/DVB/driver/insdvb.sh

if [ -e /var/log/vdr.log ] ; then
	mv /var/log/vdr.log /var/log/vdr.log-old
fi

LD_LIBRARY_PATH=/opt/lib:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

/opt/bin/vdr -m --watchdog=35 \
	-L/opt/lib \
	-Pvcd \
	-Pdvd \
	-P "mplayer -m /video/plugins/mount.sh -M /video/plugins/mplayer.sh" \
	-P "mp3 -m /video/plugins/mount.sh" \
	-Pweather \
	-Pscanner \
	$* > /var/log/vdr.log 2>&1

